#
# Conditional build:
%bcond_without	geoip		# GeoIP support
%bcond_with	ip2location	# IP2Location support
#
Summary:	IPv6 address format change and calculation utility
Summary(pl.UTF-8):	Narzędzie do zmiany formatu i przeliczania adresów IPv6
Name:		ipv6calc
Version:	0.97.3
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://ftp.bieringer.de/pub/linux/IPv6/ipv6calc/%{name}-%{version}.tar.gz
# Source0-md5:	1fc9c1a14802638f21e59408faa721a6
URL:		http://www.deepspace6.net/projects/ipv6calc.html
%{?with_geoip:BuildRequires:	GeoIP-devel >= 1.4.1}
%{?with_ip2location:BuildRequires:	ip2location-c-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ipv6calc is a small utility which formats and calculates IPv6
addresses in different ways.

Install this package, if you want to extend the existing address
detection on IPv6 initscript setup or make life easier in adding
reverse IPv6 zones to DNS or using in DNS queries like nslookup -q=ANY
`ipv6calc -r 3ffe:400:100:f101::1/48` See also here for more details:
<http://www.bieringer.de/linux/IPv6/ipv6calc/>.

%description -l pl.UTF-8
ipv6calc to niewielkie narzędzie formatujące i przeliczające adresy
IPv6 na różne sposoby. Ułatwia życie przy dodawaniu stref odwrotnych
IPv6 do DNS lub odpytywaniu w rodzaju nslookup -q=ANY `ipv6calc -r
3ffe:400:100:f101::1/48`. Więcej szczegółów pod adresem
<http://www.bieringer.de/linux/IPv6/ipv6calc/>.

%prep
%setup -q

%build
%configure \
	%{?with_geoip:--enable-geoip} \
	%{?with_ip2location:--enable-ip2location --with-ip2location-dyn-lib=libIP2Location.so.1}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
    DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README CREDITS TODO doc/ipv6calc.html ipv6calcweb/ipv6calcweb.cgi
%attr(755,root,root) %{_bindir}/ipv6calc
%attr(755,root,root) %{_bindir}/ipv6loganon
%attr(755,root,root) %{_bindir}/ipv6logconv
%attr(755,root,root) %{_bindir}/ipv6logstats
%{_mandir}/man8/ipv6calc.8*
%{_mandir}/man8/ipv6loganon.8*
%{_mandir}/man8/ipv6logconv.8*
%{_mandir}/man8/ipv6logstats.8*
%changelog
* Sun Jul 20 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ipv6calc.git;a=log;h=master

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 8ae1c25
- updated to 0.97.3, ip2location support on bcond

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 4e16979
- updated to 0.97.2

* Sun Apr 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> 6b8805e
- updated to 0.94.0

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> c0a0083
- updated to 0.93.1

* Tue Dec 06 2011 Łukasz Kieś <kiesiu@pld-linux.org> 011e5ff
- updated to 0.92.0
- enabled GeoIP support
- added man pages and unpackaged bin files
- revised BRs

* Fri May 06 2011 marti <marti@pld-linux.org> a0217c0
- up to 0.82.1

* Tue Apr 12 2011 marti <marti@pld-linux.org> 87d313c
- up to: 0.82.0

* Fri Oct 08 2010 psz <psz@pld-linux.org> 7e35e51
- up to 0.80.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 65dad22
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3d35ce2
- converted to UTF-8

* Mon Aug 07 2006 darekr <darekr@pld-linux.org> 0c218b1
- updated to 0.51, pass CC

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> 8427927
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

* Sat Apr 02 2005 darekr <darekr@pld-linux.org> fcb5138
- BR: perl-base

* Fri Mar 19 2004 ankry <ankry@pld-linux.org> 1692ec7
- massive change: BR openssl-devel >= 0.9.7d

* Wed Jan 21 2004 domelu <domelu@pld-linux.org> dfa0a2f
- release 2; STBR Ac

* Wed Nov 26 2003 domelu <domelu@pld-linux.org> 528621f
- up to 0.47

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> 175d4e3
- caps unification

* Sat Oct 11 2003 domelu <domelu@pld-linux.org> 6d54c12
- update to 0.46
- add doc/ipv6calc.html

* Fri Sep 26 2003 domelu <domelu@pld-linux.org> fced882
- fix Source0

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 73bd733
- massive attack: source-md5

